Skip to content

Begin Recovery

POST
/api/auth/recovery
curl --request POST \
--url https://agentauthority.org/api/auth/recovery \
--header 'Content-Type: application/json' \
--data '{ "account_id": "example", "compromised_agent_ids": [ "example" ] }'
Media typeapplication/json
RecoveryStart
object
account_id
required
Account Id
string
<= 128 characters
compromised_agent_ids
Compromised Agent Ids
Array<string>
<= 100 items

Example generated

{
"account_id": "example",
"compromised_agent_ids": [
"example"
]
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}